Bug 1411832 - Fedora 25 does not see HDMI connected external monitor on optimus laptop with nvidia gtx 1060
Summary: Fedora 25 does not see HDMI connected external monitor on optimus laptop with...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: 25
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:23 UTC by Lech
Modified: 2018-04-16 06:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:09:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Lech 2017-01-10 15:23:13 UTC
Description of problem:

I am unable to get external display connected through hdmi detected on my new laptop with fedora 25. The system settings "Display" shows only the builtin screen. So does xrandr, both when runnin Wayland and Xorg. This is an optimus enabled Japanese laptop (GALLERIA QSF1060HE), with Intel HD 530 (Skylake GT2) and Nvidia 1060.

Version-Release number of selected component (if applicable):


How reproducible:

Connect an exteranl monitor through HDMI on this laptop

Steps to Reproduce:
1. Connect the monitor through HDMI
2. Try to detect it with fedora display or xrandr

Actual results:

Only built-in laptop display detected

Expected results:

Both laptop display and HDMI monitor detected

Additional info:

This may be related to nouveau not recognising chipset of gtx 1060, about I fired a separate bug report. HDMI is most likely connected to nvidia.

Comment 1 Andre Gompel 2017-02-08 23:34:01 UTC
I observed similar issues with kernel 4.9.7-201.fc25.x86_64 (and before), on an HP ProBook 6475B with AMD A10, with build in video: the external HDMI monitor needs now to be connected before boot up to have the Sound driver working.
In other words the driver in now not loaded when the HDMI is connected.

Furthermore it is not practical to get the right geometry on the external monitor.
All of this was working fine on Fedora 24.

Comment 2 ran 2017-03-13 00:09:31 UTC
Works (external hdmi detected) only if connected before boot,. Fedora 25, Wayland, Nvidia optimus, 4.8.15-300.fc25.x86_64

Comment 3 Tobias Kraft 2017-04-02 20:16:08 UTC
Same problem here with a Thinkpad Carbon X1 (5th) and Intel HD graphics 620.
Works also with HDMI when connect before boot, but xrandr show only one option and it is not possible to switch the displays (extending, mirroring, ...) via the display manager.

Kernel: 4.10.6-200.fc25.x86_64

On Elementary OS it is working fine.

Comment 4 Sandokan 2017-04-28 14:29:55 UTC
Same problem here with a Dell Ultrabook (Intel Core™ i7-6600U) and Intel HD Graphics 520 (rev 07).

Not works with HDMI when connect before boot.

Kernel: 4.10.12-200.fc25.x86_64

On Debian Jessie it is working fine.

Comment 5 Daniel 2017-06-08 19:23:34 UTC
I have the same problem on a Dell Inspiron 5559 with ATI Radeon running Fedora 25. The hdmi port doesn't appear, even if the cable and external display are connected before boot

Kernel: 4.11.3-200.fc25.x86_64

xrandr -q
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 1920 x 1080, current 1920 x 1080, maximum 1920 x 1080
default connected primary 1920x1080+0+0 0mm x 0mm
   1920x1080      0.00* 

lspci -v
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 520 (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 06b2
	Flags: bus master, fast devsel, latency 0, IRQ 11
	Memory at d1000000 (64-bit, non-prefetchable) [size=16M]
	Memory at b0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at f000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [ac] MSI: Enable- Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [100] Process Address Space ID (PASID)
	Capabilities: [200] Address Translation Service (ATS)
	Capabilities: [300] Page Request Interface (PRI)
	Kernel modules: i915
01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330 / M430] (rev 81)
	Subsystem: Dell Device 06b2
	Flags: bus master, fast devsel, latency 0, IRQ 11
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at d0000000 (64-bit, non-prefetchable) [size=256K]
	I/O ports at e000 [size=256]
	Expansion ROM at d0040000 [disabled] [size=128K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Capabilities: [270] #19
	Kernel modules: radeon

Comment 6 Dave Airlie 2017-06-09 01:25:11 UTC
if you see default in xrandr you might have nomodeset on your kernel command line, you need to remove that.

Comment 7 Daniel 2017-06-09 01:59:12 UTC
(In reply to Dave Airlie from comment #6)
> if you see default in xrandr you might have nomodeset on your kernel command
> line, you need to remove that.

This solved the problem! I removed nomodeset from the kernel setting and now the external hdmi display works like a charm. 
Neither HDMI nor its available displays are visible with 'xrandr -q' if using wayland, but they appear on xorg. Nevertheless, on both the external display works as expected
Thank you very much Dave!

Comment 8 Kevin.B.W.Lee 2017-07-07 04:21:01 UTC
Hi,
I have same problem.
I followed Daniel's and Dave Airlie's but it has no efficient for me.

please help me out to solve this problem.
here are my system information. please help!! 
and if you need more things for investigation , please let me know.


laptop : "MSI GE62VR 7RF camo squad" with Geforce GTX 1060




$ lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-4.1-amd64:desktop-4.1-noarch:languages-4.1-amd64:languages-4.1-noarch:printing-4.1-amd64:printing-4.1-noarch
Distributor ID:	Fedora
Description:	Fedora release 25 (Twenty Five)
Release:	25
Codename:	TwentyFive


$ uname -a
Linux kevdev 4.11.7-200.fc25.x86_64 #1 SMP Mon Jun 26 15:58:22 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux


$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 05)
00:01.0 PCI bridge: Intel Corporation Skylake PCIe Controller (x16) (rev 05)
00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-H Thermal subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #1 (rev f1)
00:1c.3 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #4 (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #5 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Device a171 (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] (rev a1)
02:00.0 Network controller: Intel Corporation Device 24fb (rev 10)
03:00.0 Ethernet controller: Qualcomm Atheros Device e0b1 (rev 10)
04:00.0 USB controller: ASMedia Technology Inc. ASM1142 USB 3.1 Host Controller




$ xrandr -q
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
XWAYLAND0 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 340mm x 190mm
   1920x1080     59.96*+


$ rpm -qa|grep bumble
bumblebee-nonfree-release-1.2-1.noarch
bumblebee-3.2.1-13.fc25.x86_64
bumblebee-release-1.2-1.noarch
bumblebee-nvidia-375.66-1.fc25.x86_64



$ cat /etc/default/grub 
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="$(sed 's, release .*$,,g' /etc/system-release)"
GRUB_DEFAULT=saved
GRUB_DISABLE_SUBMENU=true
GRUB_TERMINAL_OUTPUT="console"
GRUB_CMDLINE_LINUX="rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rd.driver.blacklist=nouveau rhgb quiet"
GRUB_DISABLE_RECOVERY="true"



$ ls -al /etc/modprobe.d/
합계 32
drwxr-xr-x.   2 root root  4096  6월 30 09:08 .
drwxr-xr-x. 144 root root 12288  7월  7 13:03 ..
-rw-r--r--.   1 root root    17  5월 18 05:00 blacklist-nvidia.conf
-rw-r--r--.   1 root root    35  1월 20  2015 bumblebee.conf
-rw-r--r--.   1 root root   223  4월 14 09:48 kvm.conf
-rw-r--r--.   1 root root   747  6월 23 01:19 lockd.conf


$ cat /etc/modprobe.d/blacklist-nvidia.conf 
blacklist nvidia


$ cat /etc/modprobe.d/bumblebee.conf 
blacklist nvidia
blacklist nouveau

Comment 9 Kevin.B.W.Lee 2017-08-07 03:26:34 UTC
Hi,

I've follwed this link, then I solve the problem.
https://ask.fedoraproject.org/en/question/99893/gnome-does-not-start-properly-on-nvidia-gtx-1060-with-rpmfusion-drivers/

Thank you for all!

Comment 10 Fedora End Of Life 2017-11-16 18:31:30 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-12-12 10:09:07 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 deadrat 2018-04-16 06:44:59 UTC
Still continues in f28.


Note You need to log in before you can comment on or make changes to this bug.